package cn.wise.sc.consume.business.entity.cmbnoenet.model;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 招行一卡通 响应对象
 * @author: qh
 * @create: 2020-04-09 14:12
 **/
@Data
public class CMBONeNetResponse implements Serializable {

    private static final long serialVersionUID = -1L;

    public CMBResponse response;

    public String signature;

    @Data
    public class CMBResponse {
        private String body;
        private ResponseHead head;

        @Data
        public class ResponseHead {
            private String vernbr;
            private String tppidc;
            private String FMORDSUB;
            private String msgidc;
            private String sigalg;
            private String retcod;
            private String retmsg;
            private String rsptim;
        }
    }
}
