package cn.wise.sc.consume.business.entity;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2020-07-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysUserCoupon implements Serializable {

    private static final long serialVersionUID=1L;

	@TableId(value = "id", type = IdType.AUTO)
	private Long id;

    /**
     * 用户表id
     */
      private String userId;

    /**
     * 优惠券明细表id
     */
    private Long couponDetailId;

    /**
     * 票券使用状态：0可使用，1已使用，2已过期
     */
    private Integer isUse;

    /**
     * 领取时间
     */
    private LocalDateTime createTime;

    /**
     * 使用时间
     */
    private LocalDateTime useTime;

    /**
     * 备注
     */
    private String remark;


}
